Bug 53175 - XFree86-xf86cfg requires XFree86-devel for .xbm files
Summary: XFree86-xf86cfg requires XFree86-devel for .xbm files
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 21:09 UTC by Ben Levenson
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-18 00:18:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-09-04 21:09:05 UTC
Description of Problem:
there are no icons if you start xf86cfg w/out XFree86-devel installed.

Version-Release number of selected component (if applicable):
XFree86-xf86cfg-4.1.0-1

Comment 1 Mike A. Harris 2002-05-18 00:18:39 UTC
Asked upstream about this.  Runtime packages shouldn't require files
in /usr/include.  Not sure what the best solution would be.  My solution
will probably to remove xf86cfg.

Comment 2 Mike A. Harris 2002-05-30 23:35:24 UTC
I've discussed it upstream and they provided a few obscure suggestions.
I'm not really comfortable with mucking around with their suggestions
however.  This is a problem with xf86cfg itself IMHO, which we provide
for usage - but do not officially support.

A hack workaround would be adding an explicit dependancy on XFree86-devel
to the xf86cfg package.  While it correctly solves the aparent problem,
it is very ugly, and not something I consider correct to do.  The real
correct thing to do is to fix the underlying problem, but that is beyond
the scope of what I'm prepared to do for a package which we do not
officially support.

I'm closing as WONTFIX for now, but if it causes QA a problem, or any
other problems, the better solution would be to just not ship xf86cfg
anymore - which I've been asked by Preston to do anyway.  ;o)



Note You need to log in before you can comment on or make changes to this bug.